import warnings

# import public API
from .datatree import DataTree
from .extensions import register_datatree_accessor
from .io import open_datatree
from .mapping import TreeIsomorphismError, map_over_subtree
from .treenode import InvalidTreeError, NotFoundInTreeError

warnings.warn(
    "The repository `xarray-contrib/datatree` has been archived! It is no longer maintained as of October 2024. "
    "Datatree functionality has been migrated upstream to `pydata/xarray`, so please use `xarray.DataTree` instead. "
    "To help you migrate a guide can be found by following https://github.com/pydata/xarray/discussions/9680",
    DeprecationWarning,
)


try:
    # NOTE: the `_version.py` file must not be present in the git repository
    #   as it is generated by setuptools at install time
    from ._version import __version__
except ImportError:  # pragma: no cover
    # Local copy or not installed with setuptools
    __version__ = "999"

__all__ = (
    "DataTree",
    "open_datatree",
    "TreeIsomorphismError",
    "InvalidTreeError",
    "NotFoundInTreeError",
    "map_over_subtree",
    "register_datatree_accessor",
    "__version__",
)
